System requirements

Onvio Centre requires a high-speed internet connection or a cellular data connection.

We support Onvio Centre when run in the following internet browsers: the latest version of Apple Safari, Google Chrome, Mozilla Firefox, and Microsoft Edge, and Microsoft Internet Explorer version 11 or higher. See Supported internet browsers for more information.

You must install the Dynamic Web TWAIN plugin to scan documents into Onvio Centre. You can install the plugin only on computers than run a Windows operating system. See Scanning documents for more information.

To view system requirements for Onvio mobile apps, see Onvio mobile apps.